For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Sales
DocsAPI reference
DocsAPI reference
  • API Reference
        • GETGet organization provider
        • GETGet all organization providers
        • POSTCreate organization provider
        • PATCHUpdate organization provider
Contact Sales
LogoLogo
API ReferenceOrganization ProvidersV3

Create organization provider

POST
/api/organization-providers/v3
POST
/api/organization-providers/v3
$curl -X POST https://api.joincandidhealth.com/api/organization-providers/v3 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "npi": "npi",
> "is_rendering": true,
> "is_billing": true,
> "provider_type": "INDIVIDUAL",
> "license_type": "MD",
> "qualifications": [
> {
> "identifier_code": "MCR",
> "identifier_value": {
> "type": "medicare_provider_identifier",
> "provider_number": "provider_number",
> "state": "AA"
> }
> },
> {
> "identifier_code": "MCR",
> "identifier_value": {
> "type": "medicare_provider_identifier",
> "provider_number": "provider_number",
> "state": "AA"
> }
> }
> ]
>}'
1{
2 "npi": "npi",
3 "is_rendering": true,
4 "is_billing": true,
5 "provider_type": "INDIVIDUAL",
6 "license_type": "MD",
7 "organization_provider_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
8 "qualifications": [
9 {
10 "identifier_code": "MCR",
11 "identifier_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
12 "identifier_value": {
13 "type": "medicare_provider_identifier",
14 "provider_number": "provider_number",
15 "state": "AA"
16 },
17 "period": {
18 "start_date": "start_date",
19 "end_date": "end_date"
20 }
21 },
22 {
23 "identifier_code": "MCR",
24 "identifier_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
25 "identifier_value": {
26 "type": "medicare_provider_identifier",
27 "provider_number": "provider_number",
28 "state": "AA"
29 },
30 "period": {
31 "start_date": "start_date",
32 "end_date": "end_date"
33 }
34 }
35 ],
36 "first_name": "first_name",
37 "last_name": "last_name",
38 "organization_name": "organization_name",
39 "tax_id": "tax_id",
40 "taxonomy_code": "taxonomy_code",
41 "addresses": [
42 {
43 "address": {
44 "address1": "address1",
45 "city": "city",
46 "state": "AA",
47 "zip_code": "zip_code",
48 "zip_plus_four_code": "zip_plus_four_code",
49 "address2": "address2"
50 },
51 "address_type": "DEFAULT"
52 },
53 {
54 "address": {
55 "address1": "address1",
56 "city": "city",
57 "state": "AA",
58 "zip_code": "zip_code",
59 "zip_plus_four_code": "zip_plus_four_code",
60 "address2": "address2"
61 },
62 "address_type": "DEFAULT"
63 }
64 ],
65 "employment_start_date": "2023-01-15",
66 "employment_termination_date": "2023-01-15"
67}
Was this page helpful?
Previous

Update organization provider

Next
Built with

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Request

This endpoint expects an object.
npistringRequired

The NPI of the provider. This must be all digits [0-9] and exactly 10 characters long.

is_renderingbooleanRequired
Whether the provider can be used to render services.
is_billingbooleanRequired
Whether the provider can be used to bill services.
provider_typeenumRequired

Whether the provider is an individual (NPPES Type 1) or organization (NPPES Type 2) provider.

Allowed values:
license_typeenumRequired
The type of license that the provider holds.
qualificationslist of objectsRequired
A provider's qualifications such as PTAN, Medicaid Provider Id, etc.
first_namestringOptional
The first name of the provider, if the provider is an individual.
last_namestringOptional
The last name of the provider, if the provider is an individual.
organization_namestringOptional
The name of the provider, if the provider is an organization.
tax_idstringOptional

If the provider has a contract with insurance, this must be the same tax ID given to the payer on an IRS W-9 form completed during contracting.

taxonomy_codestringOptional
A code designating classification and specialization.
addresseslist of objectsOptional
The addresses associated with this provider.
employment_start_datedateOptional
The employment start date for the provider.
employment_termination_datedateOptional
The employment termination date for the provider.

Response

This endpoint returns an object.
npistring

The NPI of the provider. This must be all digits [0-9] and exactly 10 characters long.

is_renderingboolean
Whether the provider can be used to render services.
is_billingboolean
Whether the provider can be used to bill services.
provider_typeenum

Whether the provider is an individual (NPPES Type 1) or organization (NPPES Type 2) provider.

Allowed values:
license_typeenum
The type of license that the provider holds.
organization_provider_idUUID

Auto-generated ID set on creation.

qualificationslist of objects

Qualification given to a provider (PTAN, Medicaid Provider Id etc.).

first_namestring
The first name of the provider, if the provider is an individual.
last_namestring
The last name of the provider, if the provider is an individual.
organization_namestring
The name of the provider, if the provider is an organization.
tax_idstring

If the provider has a contract with insurance, this must be the same tax ID given to the payer on an IRS W-9 form completed during contracting.

taxonomy_codestring
A code designating classification and specialization.
addresseslist of objects
The addresses associated with this provider.
employment_start_datedate
The employment start date for the provider.
employment_termination_datedate
The employment termination date for the provider.

Errors

422
HTTP Request Validation Error
422
Updates Disabled Due to External System Integration Error